<script>
    import ArrowLeft from 'components/Icons/ArrowLeft.svelte'

    export let withBorder = true
    export let withBackLink = false
</script>

<header class:withBorder class:isSticky={!$$slots.nav}>
    {#if withBackLink}
        <button on:click|preventDefault={() => window.history.back()}>
            <ArrowLeft size="small" />
        </button>
    {/if}
    {#if $$slots.override}
        <slot name="override" />
    {:else}
        <h1>
            <slot />
        </h1>
    {/if}
</header>
<nav class:isSticky={$$slots.nav}>
    {#if $$slots.nav}
        <slot name="nav" />
    {/if}
</nav>

<style lang="postcss">
    header {
        @apply relative flex justify-center p-4 bg-white z-50;

        &.withBorder {
            @apply border-b border-blueGray-200;
        }

        button {
            @apply absolute left-4 text-teal-600 cursor-pointer;
        }

        h1 {
            @apply font-display font-semibold text-sm uppercase text-center tracking-widest text-teal-600;
        }
    }

    nav {
        @apply relative bg-white z-20;
    }

    .isSticky {
        @apply sticky top-0;
    }
</style>
